Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.aop.aspectj
Class AspectJAopUtils

    java.lang.Object
      org.springframework.aop.aspectj.AspectJAopUtils

    public abstract class AspectJAopUtils

extends Object

Utility methods for dealing with AspectJ advisors.

Since:
  2.0
Author:
  Adrian Colyer, Juergen Hoeller

Constructor Summary
`AspectJAopUtils()`

Method Summary
`static AspectJPrecedenceInformation` | `getAspectJPrecedenceInformationFor(Advisor anAdvisor)` Return the AspectJPrecedenceInformation provided by this advisor or its advice.
`static boolean` | `isAfterAdvice(Advisor anAdvisor)` Return `true` if the advisor is a form of after advice.
`static boolean` | `isBeforeAdvice(Advisor anAdvisor)` Return `true` if the advisor is a form of before advice.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AspectJAopUtils

    public AspectJAopUtils()

Method Detail

### isBeforeAdvice

    public static boolean isBeforeAdvice(Advisor anAdvisor)

  Return `true` if the advisor is a form of before advice.

### isAfterAdvice

    public static boolean isAfterAdvice(Advisor anAdvisor)

  Return `true` if the advisor is a form of after advice.

### getAspectJPrecedenceInformationFor

    public static AspectJPrecedenceInformation getAspectJPrecedenceInformationFor(Advisor anAdvisor)

  Return the AspectJPrecedenceInformation provided by this advisor or its advice. If neither the advisor nor the advice have precedence information, this method will return `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.